LUTIMES(3)

NAME
lutimes - set file access and modification times of symlink

SYNOPSIS
#include <sys/time.h>
int
lutimes(const char *path, struct timeval times[2]);

DESCRIPTION
The access and modification times of the file named by path are changed as specified by the argument times, even if path specifies a symbolic link (for utimes(2) the times of the file referenced by the symbolic link are changed).

If times is NULL, the access and modification times are set to the current time. The caller must be the owner of the file, have permission to write the file, or be the super-user.

If times is non-NULL, it is assumed to point to an array of two timeval structures. The access time is set to the value of the first element, and the modification time is set to the value of the second element. The caller must be the owner of the file or be the super-user.

In either case, the inode-change-time of the file is set to the current time.

NOTE
Instead of being a system call, lutimes() is emulated using setattrlist(2). Not all file systems support setattrlist(2).

RETURN VALUES
Upon successful completion, a value of 0 is returned. Otherwise, -1 is returned and the global variable errno is set to indicate the error.

ERRORS
The lutimes() call may return the same errors as utimes(2) and setattrlist(2).

SEE ALSO
utimes(2), setattrlist(2)